# Class ReplaceStringWithFunctions

java.lang.Object
org.apache.jmeter.engine.util.ReplaceStringWithFunctions

public class ReplaceStringWithFunctions extends Object
Replaces a String containing functions with their Function properties equivalent, example: ${__time()}_${__threadNum()}_${__machineName()} will become a FunctionProperty of a CompoundVariable containing 3 functions

## Constructor Summary

Constructors
Constructor
Description
`ReplaceStringWithFunctions(CompoundVariable masterFunction, Map<String,String> variables)`

## Method Summary

Modifier and Type
Method
Description
`protected CompoundVariable`
`getMasterFunction()`
`Map<String,String>`
`getVariables()`
`void`
`setMasterFunction(CompoundVariable variable)`
`void`
`setVariables(Map<String,String> map)`
`JMeterProperty`
`transformValue(JMeterProperty prop)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ReplaceStringWithFunctions

public ReplaceStringWithFunctions(CompoundVariable masterFunction, Map<String,String> variables)

## Method Details

### transformValue

public JMeterProperty transformValue(JMeterProperty prop) throws InvalidVariableException

Throws:
  `InvalidVariableException`

### setMasterFunction

public void setMasterFunction(CompoundVariable variable)

### getMasterFunction

protected CompoundVariable getMasterFunction()

### getVariables

public Map<String,String> getVariables()

### setVariables

public void setVariables(Map<String,String> map)